{#- -*- coding: utf-8 -*- #}
{#- vim: ft=jinja : #}

{#- Get the `tplroot` from `tpldir` #}
{%- set tplroot = tpldir.split('/')[0] %}
{%- from tplroot ~ "/map.jinja" import mapdata as formula with context %}

{% macro get_user_value_or_default(user, varname) -%}
{%- set value = user.get(varname, None) -%}
{%- if value == None -%}
{%- set value = formula[varname] -%}
{%- endif -%}
{{ value }}
{%- endmacro %}


